<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kxs.product.biz.mapper.KxsBrandMapper">

    <resultMap type="com.kxs.product.api.model.KxsBrand" id="KxsBrandMap">
        <result column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="del_flag" property="delFlag" />
        <result column="version" property="version" />
        <result column="name" property="name" />
        <result column="link_url" property="linkUrl" />
        <result column="cover" property="cover" />
        <result column="brand_type" property="brandType" />
        <result column="sort" property="sort" />
        <result column="act_amount" property="actAmount" />
        <result column="flux_amount" property="fluxAmount" />
        <result column="flux_profit" property="fluxProfit" />
        <result column="default_pledge" property="defaultPledge" />
        <result column="pos_price" property="posPrice" />
        <result column="count_of_box" property="countOfBox" />

    </resultMap>
    <select id="getSortByList" resultType="com.kxs.product.api.vo.kxsapp.brand.BrandListVO">
        select * from kxs_brand
        <where>
            del_flag = 0
        </where>
        order by sort asc
    </select>

</mapper>
